//
//  mixDownloadCacheManager.h
//  双子星云手机
//
//  Created by xd h on 2024/6/27.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN


#define KFullPath NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES)[0]
#define KFullDirector  [self getFullDirector]
#define KMixDownloadDirector  @"mixDownload"

@interface mixDownloadCacheManager : NSObject

/** 查询文件信息 */
+ (NSMutableDictionary *)queryFileInfoWithUrl:(NSString *)url;

/** 查询要下载的文件大小 */
+ (NSInteger)totalSizeWith:(NSString *)url;

/**  增加配置信息 */
+ (BOOL)saveFileInfoWithDict:(NSDictionary *)dict;


+ (NSString *)getFullDirector;

+ (NSString *)getNewPlistPath;

+ (NSMutableDictionary *)getDownloadList;
@end

NS_ASSUME_NONNULL_END
